# Copyright 2019-2022 Paul Obermeier (obermeier@tcl3d.org)
#
# Test program for the Trf package.
# Generate a CRC checksum.

package require Trf

set txt "Hello, World!"

set chk [crc-zlib $txt]
binary scan $chk i chksum
puts "Checksum of \"$txt\": [format 0x%x $chksum]"
if { [format 0x%x $chksum] ne "0xec4ac3d0" } {
    puts "Error: Invalid checksum [format 0x%x $chksum]. Should be 0xec4ac3d0."
    exit 1
}

puts ""
puts [format "Using Trf %s on %s with Tcl %s-%dbit" \
     [package version Trf] $::tcl_platform(os) \
     [info patchlevel] [expr $::tcl_platform(pointerSize) * 8]]

exit 0
